$(document).ready(function()
{
    /* Add a product of quotation. */
    $(document).on('click', '.plus', function()
    {   
        var tr = $(this).parents('tr');
        tr.after($('#quotationProductTpl').html().replace(/key/g, v.key));
        tr.next().find('.input-group').fixInputGroup();
        v.key++;
        return false;
    }); 

    /* Remove a trade detail item. */
    $(document).on('click', '.minus', function()
    {
        if($('tr.quotationProduct').size() > 1)
        {
            $(this).parents('tr').remove();
        }
        else
        {
            $(this).parents('tr').find('input,select').val('');
        }
        return false;
    });
})
